summaryrefslogtreecommitdiff
path: root/tests/mv/dir2dir
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv/dir2dir')
-rwxr-xr-xtests/mv/dir2dir26
1 files changed, 5 insertions, 21 deletions
diff --git a/tests/mv/dir2dir b/tests/mv/dir2dir
index a98e1070d..41b4c6363 100755
--- a/tests/mv/dir2dir
+++ b/tests/mv/dir2dir
@@ -2,7 +2,7 @@
# Ensure that mv prints the right diagnostic for a dir->dir move
# where the destination directory is not empty.
-# Copyright (C) 2006 Free Software Foundation, Inc.
+# Copyright (C) 2006-2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -22,26 +22,11 @@ if test "$VERBOSE" = yes; then
mv --version
fi
-. $srcdir/../envvar-check
. $srcdir/../lang-default
+. $srcdir/../test-lib.sh
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit $?' 1 2 13 15
-
-framework_failure=0
-mkdir -p $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-
-mkdir -p a/t b/t || framework_failure=1
-touch a/t/f || framework_failure=1
-
-
-if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
-fi
+mkdir -p a/t b/t || framework_failure
+touch a/t/f || framework_failure
fail=0
@@ -58,7 +43,6 @@ cat <<\EOF > exp || fail=1
mv: cannot move `b/t' to `a/t': Directory not empty
EOF
-cmp out exp || fail=1
-test $fail = 1 && diff out exp 2> /dev/null
+compare out exp || fail=1
(exit $fail); exit $fail